<?php

// Função criada para Selecionar dados do Banco, precisa adicionar depois While ou Foreach sempre usando o $seleciona
function Seleciona($tabela, $quando, $ordem){
	
	$seleciona = mysql_query("SELECT * FROM $tabela $quando $ordem") or die (mysql_error());
	return $seleciona;	
}

//Função para Salvar dados na Tabela, Opção de Enviar nome da Tabela, Colunas e Campos
function Salvar($tabela, $colunas, $campos){
	$insere = mysql_query("INSERT INTO $tabela($colunas) value ($campos)") or die (mysql_error());
	return $insere;
}

//Função para Alterar dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Alterar($tabela, $campos, $idbanco, $idcampo){
	
	$alterar = mysql_query("UPDATE $tabela SET $campos WHERE $idbanco=$idcampo") or die (mysql_error());
        return $alterar;
}

//Função para Excluir dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Excluir($tabela, $idbanco, $idcampo){
	
	$excluir = mysql_query("DELETE FROM $tabela WHERE $idbanco=$idcampo") or die (mysql_error());
        return $excluir;
}

//FUNÇÃO QUE VERICIA SQL E REDIRECIONA
function VerificaSql($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}


//FUNÇÃO QUE VERICIA SQL E REDIRECIONA SEM ALERT
function VerificaSqlSemAlert($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}

    

function InverteDataNovoSeparador($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$novadata = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $novadata;
}


function ConverteDataBanco($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$databanco = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $databanco;
}


function RetornaMes($mes) {

	if($mes == 01){
		$nome_mes = "Janeiro";
	}
	
	if($mes == 02){
		$nome_mes = "Fevereiro";
	}

	if($mes == 03){
		$nome_mes = "Março";
	}
	
	if($mes == 04){
		$nome_mes = "Abril";
	}
	
	if($mes == 05){
		$nome_mes = "Maio";
	}
	
	if($mes == 06){
		$nome_mes = "Junho";
	}
	
	if($mes == 07){
		$nome_mes = "Julho";
	}
	
	if($mes == 08){
		$nome_mes = "Agosto";
	}

	if($mes == 09){
		$nome_mes = "Setembro";
	}
	
	if($mes == 10){
		$nome_mes = "Outubro";
	}
	
	if($mes == 11){
		$nome_mes = "Novembro";
	}		
	
	if($mes == 12){
		$nome_mes = "Dezembro";
	}	
	
	return $nome_mes;								

}
function StatusConta($status) {

    // Converte Id para Texto

    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Pago";
	}	

    return $resultado;

}



function TipoConta($tipo) {

    // Converte Id para Texto

    if($tipo == 1){
		$resultado = "Contas a Pagar";
	}

	if($tipo == 2){
		$resultado = "Contas a Receber";
	}	

    return $resultado;

}

function StatusTarefa($status) {

    // Converte Id para Texto
    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Andamento";
	}	


	if($status == 3){
		$resultado = "Finalizado";
	}	
    return $resultado;
}


function Prioridade($status) {
    // Converte Id para Texto

    if($status == 1){
		$resultado = "Alta";
	}

	if($status == 2){
		$resultado = "M&eacute;dia";	
	}	

	if($status == 3){
		$resultado = "Baixa";
	}	

    return $resultado;
}

function RecebePagina($recebepagina) {

    if(empty($recebepagina)){
		$pagina = "manutencao_clientes_novo.php";
	}else{
		$pagina = $recebepagina;
	}
	
	return $pagina;
}

//GERADOR DE CAMPOS POST

function GerarCamposPost($tabela, $nomelinha, $pagina, $idregistro){
echo '$'.$idregistro.' = $_GET[\''.$idregistro.'\'];';	
echo "<br>";
echo "<br>";
echo 'if($'.$idregistro.' == ""){';
echo "<br>";
echo '	$acao		 	= "Salvar";';
echo "<br>";
echo '}else{';
echo "<br>";
echo '	$acao 			= "Alterar";	';
echo "<br>";
echo '}';
echo "<br>";
echo "<br>";

echo '//Recebe Acao';
echo "<br>";
echo '$acao_bd		    = $_GET["acao"];';
echo "<br>";
echo '$acao_bd		   .= $_POST["acao"];';
echo "<br>";	
	
echo "<br><br> <strong> //CAMPOS POST </strong><br><br>";
	
$query_post = mysql_query("SHOW COLUMNS FROM " . $tabela . "");

//GERAR POST 
echo "<br>";
while ($coluna = mysql_fetch_assoc($query_post)) {
      $coluna = $coluna["Field"];
     echo "$" . $coluna . " = $" . "_POST['" . $coluna . "'];<br>";
}

echo "<br><br> <strong> //CAMPOS TABELA SALVAR </strong><br><br>";

echo '$campos_tabela = "';

$query_insert = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_insert)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . '';
	 }else{
		echo $coluna . ", "; 
	 }
}
echo '";';
echo "<br>";
echo "<br>";
echo "//Dados da Tabela";
echo "<br>";
echo "<br>";
echo '$tabela	="' . $tabela . '";';
echo "<br>";
echo "<br>";
echo '$campos_value = "';

$query_variavel = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_variavel)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo "'$" . $coluna . "'";
	 }else{
		echo "'$" . $coluna . "', "; 
	 }
}
echo '";';
echo "<br>";
echo "<br>";
echo "//INSERIR REGISTROS";
echo "<br>";
echo "<br>";
echo 'if($acao_bd == "Salvar"){';
echo "<br>";
echo "<br>";
echo '$salvar = Salvar($tabela,  $campos_tabela, $campos_value);';
echo "<br>";
echo "<br>";
echo "// RETORNA ULTIMO ID INSERIDO";
echo "<br>";
echo "<br>";
echo '$id_insert = mysql_insert_id();';
echo "<br>";
echo "<br>";
echo '$redireciona = VerificaSql($salvar, "manutencao_'.$pagina.'.php?'.$idregistro.'=".$id_insert."", "manutencao_'.$pagina.'.php");';
echo "<br>";
echo "<br>";
echo '}';
echo "<br>";

echo "<br><br> <strong>// CAMPOS ALTERAR </strong><br><br>";
echo "<br>";
//ATUALIZANDO REGISTRO
echo 'if($acao_bd == "Alterar"){';
echo "<br>";
echo "<br>";

echo '$campos_alterar = "';

$query_update = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_update)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . "='$" . $coluna . "'";
	 }else{
		echo $coluna . "='$" . $coluna . "', "; 
	 }
	 
}
echo '";';
echo "<br>";
echo "<br>";
echo '$atualizar = Alterar($tabela, $campos_alterar, "'.$idregistro.'", $'.$idregistro.');';
echo "<br>";
echo '$redireciona = VerificaSql($atualizar, "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."", "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."");';
echo "<br>";
echo "<br>";
echo '}';
echo "<br>";

echo "<br><br> <strong> //EXCLUIR REGISTRO </strong><br><br>";

echo "<br>";
echo "<br>";
echo 'if($_GET["excluir"] == "sim"){';
echo "<br>";
echo "<br>";
echo '$deletar = Excluir($tabela, "'.$idregistro.'", $'.$idregistro.');';
echo "<br>";
echo '$redireciona = VerificaSql($deletar, "listar_'.$pagina.'.php", "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."");';
echo "<br>";
echo "<br>";
echo '} ';


echo "<br><br> <strong> //CAMPOS SELECT </strong><br><br>";

echo 'if($acao == "Alterar"){';
echo "<br>";
echo "<br>";
echo '$selecionar_'.$pagina.' = Seleciona($tabela, "WHERE '.$idregistro.'=$'.$idregistro.'", "") or die(mysql_error());';
echo "<br>";
echo 'while($'.$nomelinha.'=mysql_fetch_array($selecionar_'.$pagina.')){';
echo "<br>";

		
$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
      $coluna = $coluna["Field"];
	 	echo "$" . $coluna . " = $" . $nomelinha . "['" .  $coluna . "']; <br>"; 
}
echo "<br>";
echo '} ';
echo "<br>";
echo '} ';

echo "<br>";
echo "<br>";

//GERAR FORMULÁRIOS
$form = '<form name="cadastro_' . $tabela . '" id="cadastro_' . $tabela . '" method="post" action="manutencao_'.$pagina.'.php" enctype="multipart/form-data" class="form-default">';
$form .= '<input type="hidden" name="acao" value="<?php echo $acao;?>">';
$form .= '<input type="hidden" name="'.$idregistro.'" value="<?php echo $'.$idregistro.';?>"> ';

$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
$coluna = $coluna["Field"];

$form .="
		<div class='col-xs-6'>
		<label for='".$coluna."'>".$coluna."</label>
		  <input type='text' id='".$coluna."' name='".$coluna."' class='form-control' placeholder='".$coluna."' value='<?php echo $".$coluna.";?>'>
		</div>
";
}
$form .='
<div class="box-footer">
<button type="submit" class="btn btn-primary">Salvar</button>';
$form .="<button type='button' class='btn btn-danger' onclick='location.href='manutencao_".$pagina.".php?".$idregistro."=<?php echo $".$idregistro.";?>&excluir=sim';'>Excluir</button>";
$form .='</div>
';
$form .= "</form>";
echo   html_entity_decode($form);
exit();
}

//FUNÇÃO

function ver_extensao($arquivo) {
$extensao = array_reverse(explode(".",$arquivo));
return $extensao[0];
}

function porcentagem_xn ( $porcentagem, $total ) {
	return ( $porcentagem / 100 ) * $total;
}


function slugify($text)
{
  // replace non letter or digits by -
  $text = preg_replace('~[^\pL\d]+~u', '-', $text);

  // transliterate
  $text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);

  // remove unwanted characters
  $text = preg_replace('~[^-\w]+~', '', $text);

  // trim
  $text = trim($text, '-');

  // remove duplicate -
  $text = preg_replace('~-+~', '-', $text);

  // lowercase
  $text = strtolower($text);
    
  //$text = preg_replace('/[0-9]+h/', '', $text);

  //$text = preg_replace("/[^a-zA-Z0-9]+/", "", $text);    
    
  if (empty($text)) {
    return 'n-a';
  }

  return $text;
}

?>